Skip to main content
GET
List journals

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Query Parameters

include
string

Comma-separated list of relationships to include.

Available options: company, currency, defaultAccount, suspenseAccount, profitAccount, lossAccount, bankAccount, creator, inboundPaymentMethodLines, outboundPaymentMethodLines

Example:

"company,currency"

filter[id]
string

Comma-separated list of IDs to filter by

filter[name]
string

Filter by journal name (partial match)

filter[code]
string

Filter by journal code (partial match)

filter[type]
enum<string>

Filter by journal type

Available options:
sale,
purchase,
cash,
bank,
credit,
general
filter[company_id]
integer

Filter by company ID

filter[show_on_dashboard]
boolean

Filter by dashboard visibility

sort
string
required

Sort field

Example:

"name"

page
integer
required

Page number

Example:

1

Response

Success